## ppx-bin-prot 0.17.1

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

default:
	dune build

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

reinstall: uninstall install

clean:
	dune clean

.PHONY: default install uninstall reinstall clean

## ppx-bin-prot 0.14.0

=== debian/changelog ===
ppx-bin-prot (0.14.0-1build5) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 01:03:06 +0100

ppx-bin-prot (0.14.0-1build4) jammy; urgency=medium

  * No-change rebuild for current ocaml ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 02:18:53 +0000

ppx-bin-prot (0.14.0-1build3) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Dec 2020 17:32:44 +0100

ppx-bin-prot (0.14.0-1build2) hirsute; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Nov 2020 01:31:57 +0100

ppx-bin-prot (0.14.0-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Nov 2020 23:59:32 +0100

ppx-bin-prot (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jul 2020 09:53:00 +0200

ppx-bin-prot (0.13.0-1) unstable; urgency=medium

  * Initial release (Closes: #951238)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Apr 2020 14:00:22 +0200

=== debian/control ===
Source: ppx-bin-prot
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libbase-ocaml-dev (>= 0.14),
 libppxlib-ocaml-dev (>= 0.11.0),
 libppx-here-ocaml-dev (>= 0.14),
 libbin-prot-ocaml-dev (>= 1:0.14),
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: ocaml
Homepage: https://github.com/janestreet/ppx_bin_prot
Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-bin-prot.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-bin-prot

Package: libppx-bin-prot-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: generation of bin_prot readers and writers from types (development)
 This package provides a ppx rewriter that generates binary
 serialization and deserialization functions from type definitions,
 using Jane Street's bin_prot library.
 .
 This package contains development files.

Package: libppx-bin-prot-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: generation of bin_prot readers and writers from types (runtime)
 This package provides a ppx rewriter that generates binary
 serialization and deserialization functions from type definitions,
 using Jane Street's bin_prot library.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ppx_bin_prot

override_dh_auto_test:
# Broken tests

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/ppx_bin_prot/LICENSE.md

override_dh_dwz:

## ppx-bin-prot 0.15.0

=== debian/changelog ===
ppx-bin-prot (0.15.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 03 Feb 2023 08:25:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ppx-bin-prot
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -13,7 +12,7 @@
  libppx-here-ocaml-dev (>= 0.14),
  libbin-prot-ocaml-dev (>= 1:0.14),
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/janestreet/ppx_bin_prot

## ppx-bin-prot 0.16.0

=== debian/changelog ===
ppx-bin-prot (0.16.0-3build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Feb 2024 16:31:09 +0100

ppx-bin-prot (0.16.0-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 09:03:04 +0100

ppx-bin-prot (0.16.0-3) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Sep 2023 06:18:49 +0200

ppx-bin-prot (0.16.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 08:25:18 +0200

ppx-bin-prot (0.16.0-1) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune
  * Bump standards-version to 4.6.2
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Jul 2023 09:57:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
  libppxlib-ocaml-dev (>= 0.11.0),
  libppx-here-ocaml-dev (>= 0.14),
  libbin-prot-ocaml-dev (>= 1:0.14),
- dh-ocaml
-Standards-Version: 4.6.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/janestreet/ppx_bin_prot

## ppx-bin-prot 0.17.0

=== debian/changelog ===
ppx-bin-prot (0.17.0-1build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:19:20 +0200

ppx-bin-prot (0.17.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:47:43 +0100

ppx-bin-prot (0.17.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:43:30 +0100

ppx-bin-prot (0.17.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:13:38 +0100

ppx-bin-prot (0.17.0-1build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 07:16:42 +0200

ppx-bin-prot (0.17.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:33:57 +0200

ppx-bin-prot (0.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jun 2024 23:31:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  ocaml,
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
+ libppxlib-jane-ocaml-dev,
  libppxlib-ocaml-dev (>= 0.11.0),
  libppx-here-ocaml-dev (>= 0.14),
  libbin-prot-ocaml-dev (>= 1:0.14),
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/janestreet/ppx_bin_prot

## ppx-bin-prot 0.17.1

=== debian/changelog ===
ppx-bin-prot (0.17.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Sep 2025 01:36:28 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
  libppxlib-jane-ocaml-dev,
- libppxlib-ocaml-dev (>= 0.11.0),
+ libppxlib-ocaml-dev (>= 0.36.0),
  libppx-here-ocaml-dev (>= 0.14),
  libbin-prot-ocaml-dev (>= 1:0.14),
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/janestreet/ppx_bin_prot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Needs core, ppx_jane

=== debian/watch ===
version=4
https://github.com/janestreet/ppx_bin_prot/tags .*/archive/refs/tags/v(.*)\.tar\.gz
